import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { PKPushType } from "./PKPushType.js";
export declare class _PKPushCredentials extends _NSObject {
    static alloc(): _PKPushCredentials;
    static new(): _PKPushCredentials;
    init(): _PKPushCredentials;
    /**
     * The push type constant associated with the token. For possible values, see ``PushKit/PKPushType``.
     */
    type(): PKPushType;
    /**
     * A unique device token to use when sending push notifications to the current device. Forward this token to the server you use to generate push notifications. When preparing to deliver a push notification to the current device, include the token in the HTTP request you send to Apple Push Notification service (APNs).
     */
    token(): _NSData;
}
